Subject: Mingw32 windows.h < limits.h ?
From: [email-masked] (Chris McFarlane)

21 Dec 1998 15:18:08 -0800
Message-ID: <19981221190439.GOUN531505.mta2-rme.cygnus.gnu-win32@chrismac>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hi all,

I've installed J.J.'s required packages for Mingw32 gcc, following
all installation procedures described in installation.html, into
C:\Mingw32 (under win95):
gcc-2_8_1.zip; gas-980119.zip; windows32api-980118.zip;
mingw32-980105.zip; libstdc++-2_8_1.zip.

I received confirmation that paths are correctly setup : 
Reading specs from c:\mingw32\lib\gcc-lib\i386-mingw32\2.8.1\specs
gcc version 2.8.1 

(i installed a few extra packages: 
sed-2_05.zip, make-3_76_1.zip, m4-1_4.zip)

i then attempted to compile Colin Peters simple.c (and test.c). 
gcc simple.c -o simple.exe

The compiler found that <windows.h> requires limits.h, and limits.h isn't
present in any of the above mentioned required or extra packages. (I also
tried renaming simple.c to simple.cc in case there might have been some
dependency on a c++ setup; no change.)

I'm sure i've overlooked something, what have i missed ?

Chris

------------------------------
simple.c
/*
 * The simplest Windows program you will ever write.
 * This source code is in the PUBLIC DOMAIN and has NO WARRANTY.
 * Colin Peters <[email-masked]>, June 9, 1998.
 */

#include <windows.h>

int STDCALL
WinMain (HINSTANCE hInst, HINSTANCE hPrev, LPSTR lpCmd, int nShow)
{
 MessageBox (NULL, "Hello, Windows!", "Hello", MB_OK);
 return 0;
}
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".